petsc-3.7.1 2016-05-15
Report Typos and Errors

# TSAdjointMonitorSet

Sets an ADDITIONAL function that is to be used at every timestep to display the iteration's progress.

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSAdjointMonitorSet(TS ts,PetscErrorCode (*adjointmonitor)(TS,PetscInt,PetscReal,Vec,PetscInt,Vec*,Vec*,void*),void *adjointmctx,PetscErrorCode (*adjointmdestroy)(void**))

Logically Collective on TS Many br

### Input Parameters

| ts | - the TS context obtained from TSCreate() Many br
| adjointmonitor | - monitoring routine Many br
| adjointmctx | - [optional] user-defined context for private data for the Many brmonitor routine (use NULL if no context is desired) Many br
| adjointmonitordestroy | - [optional] routine that frees monitor context Many br(may be NULL) Many br

### Calling sequence of monitor

       int adjointmonitor(TS ts,PetscInt steps,PetscReal time,Vec u,PetscInt numcost,Vec *lambda, Vec *mu,void *adjointmctx)

| ts | - the TS context Many br
| steps | - iteration number (after the final time step the monitor routine is called with a step of -1, this is at the final time which may have Many brbeen interpolated to) Many br
| time | - current time Many br
| u | - current iterate Many br
| numcost | - number of cost functionos Many br
| lambda | - sensitivities to initial conditions Many br
| mu | - sensitivities to parameters Many br
| adjointmctx | - [optional] adjoint monitoring context Many br

### Notes

This routine adds an additional monitor to the list of monitors that Many bralready has been loaded. Many br

Fortran notes: Only a single monitor function can be set for each TS object Many br

Many br

### Keywords

TS, timestep, set, adjoint, monitor

### See Also

TSAdjointMonitorCancel()

Level:intermediate
Location:src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages